{% extends 'base.html.twig' %}
{% block title %}Liste des catégories{% endblock %}
{% block body %}
    <div class="container-fluid mt-3">
        <div class="row">
            <div class="col-lg-1"></div>
            <div class="col-lg-9">
                <h1>Catégories</h1>
            </div>
            <div class="col-lg-offset-10 col-lg-2 w-25 ">

                <a href="{{ path('addcategory') }}" class="btn btn-primary border-info w-75">Nouvelle
                    catégorie</a>
            </div>
        </div>

        <div class="container mt-4">
            {% if categories|length==0 %}
                {{ "Pas de catégorie enregistrée" }}
            {% else %}
                <table class="table table-striped">

                    <thead>
                    <tr>
                        <th>Catégorie</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for category in categories %}
                        <tr>
                            <td>{{ category.name}}</td>
                            <td><a class="btn btn-secondary"
                                   href="{{ path('editcategory',{id:category.id}) }}">Editer</a>

                                <form method="post" action="{{ path('deletecategory', {id: category.id}) }}" style="display: inline-block" onsubmit="return confirm('Êtes vous vraiment sûr ?')">
                                   <input type="hidden" name="_method" value="DELETE">
                                    <button class="btn btn-danger">Supprimer</button>
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            {% endif %}

        </div>

    </div>
{% endblock %}
